#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include "fifo.h"

int fifo_is(int fd) {
  struct stat s;

  if (fd < 0)
    return 0;
  if (fstat(fd, &s) < 0)
    return 0;
  if (!S_ISFIFO(s.st_mode))
    return 0;

  return 1;
}
